> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Question Logic

Retrieve the logic rules associated with a specific question.


## OpenAPI

````yaml GET /api/v1/question-logic
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/question-logic:
    get:
      tags:
        - Question Logic
      summary: Get Question Logic
      operationId: get_question_logic_api_v1_question_logic_get
      parameters:
        - name: question_id
          in: query
          required: true
          schema:
            type: string
            description: ID of the question to retrieve logic for
            title: Question Id
          description: ID of the question to retrieve logic for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                - id: logic_123
                  study_id: study_123
                  question_id: q_123
                  operation: equals
                  comparison_value: 'yes'
                  comparison_value_type: text
                  next_question_id: q_124
                  redirect_url: null
                  end_interview: false
                  action_type: skip_to
                  language: English
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````